find_package( OpenCV REQUIRED )

add_library(Processing processing.cpp)
set_target_properties(Processing PROPERTIES VERSION ${PROJECT_VERSION})

target_include_directories(Processing PRIVATE ${Utils_INCLUDE_DIRS})
target_include_directories(Processing PRIVATE ${OpenCV_INCLUDE_DIRS})
target_include_directories(Processing PUBLIC .)
target_link_libraries( Processing ${OpenCV_LIBS} Utils)

set(CPACK_PROJECT_NAME ${PROJECT_NAME})
set(CPACK_PROJECT_VERSION ${PROJECT_VERSION})
include(CPack)